Summary:	A GNU archiving program
Name:		cpio
Version:	2.15
Release:	%mkrel 2
License:	GPLv2+
Group:		Archiving/Backup
URL:		https://www.gnu.org/software/cpio/
Source:		https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2.sig

Patch20:	cpio-2.12-svr4compat.patch

BuildRequires:	bison
BuildRequires:	texinfo

Requires:	rmt

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.
archives

%prep
%setup -q
%autopatch -p1
# update timestamp
touch configure.ac

%build
export CPPFLAGS="%{optflags} -DHAVE_LSTAT=1"
%configure \
	--bindir=%{_bindir} \
	--with-rmt=%{_sysconfdir}/rmt \
	--disable-rpath

%make_build

%check
make check

%install
%make_install

%find_lang %{name}

# remove unpackaged file
rm -f %{buildroot}%{_mandir}/man1/mt.*

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/cpio
%{_infodir}/cpio.*
%{_mandir}/man1/cpio.1*


%changelog
* Fri Apr 05 2024 wally <wally> 2.15-2.mga10
+ Revision: 2054592
- basesystem rebuild for i686

* Tue Mar 19 2024 joequant <joequant> 2.15-1.mga10
+ Revision: 2050803
- update to 2.15

* Mon May 22 2023 luigiwalser <luigiwalser> 2.14-1.mga9
+ Revision: 1957746
- 2.14
- remove upstream/upstreamed patches
+ ghibo <ghibo>
- Rebuild for aging

* Fri Mar 18 2022 umeabot <umeabot> 2.13-7.mga9
+ Revision: 1797577
- Mageia 9 Mass Rebuild

* Mon Aug 30 2021 ns80 <ns80> 2.13-6.mga9
+ Revision: 1743591
- backport upstream patch for CVE-2021-38185 and fix regressions (mga#29366)

* Sun May 24 2020 danf <danf> 2.13-5.mga8
+ Revision: 1587378
- Fix multiple definitions error with gcc 10

* Wed Apr 15 2020 joequant <joequant> 2.13-4.mga8
+ Revision: 1567669
- remove dep on info-install

* Tue Feb 18 2020 umeabot <umeabot> 2.13-3.mga8
+ Revision: 1538300
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Nov 18 2019 tmb <tmb> 2.13-2.mga8
+ Revision: 1461672
- revert upstream fix for CVE-2015-1197 as it breaks shutdown/reboot
  on some systems (mga#25698)
- restore previously applied bigger SuSe fix for CVE-2015-1197 with
  proper CVE reference

* Mon Nov 11 2019 tmb <tmb> 2.13-1.mga8
+ Revision: 1459273
- update to 2.13
  * drop merged / obsolete patches

* Sun Nov 10 2019 tmb <tmb> 2.12-6.mga8
+ Revision: 1459081
- fix CVE-2019-14866 (mga#25680)

* Sun Sep 23 2018 umeabot <umeabot> 2.12-5.mga7
+ Revision: 1296844
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 2.12-4.mga7
+ Revision: 1256366
- rely on filetriggers for info system (mga#23482)

* Tue Mar 15 2016 daviddavid <daviddavid> 2.12-3.mga6
+ Revision: 991011
- rename and rediff no-overwrite-symlinks patch (since fixed autopatch)

* Fri Feb 12 2016 luigiwalser <luigiwalser> 2.12-2.mga6
+ Revision: 958265
- add patch suggested upstream to fix CVE-2016-2037

* Thu Dec 31 2015 luigiwalser <luigiwalser> 2.12-1.mga6
+ Revision: 917385
- 2.12
- remove patch 0 (fixed upstream)
- remove upstream patches 12, 14, 15
- rediff patches 3 and 16

* Sat Aug 22 2015 tmb <tmb> 2.11-13.mga6
+ Revision: 868059
- CVE-2014-9112 testsuite expects year 2014
- rebuild for new gcc

* Tue Feb 03 2015 luigiwalser <luigiwalser> 2.11-11.mga5
+ Revision: 813220
- add patch to prevent cpio from extracting over symlinks by default (CVE-2015-1197)

* Thu Dec 11 2014 luigiwalser <luigiwalser> 2.11-10.mga5
+ Revision: 802713
- rediff upstream patches to fix additional null deref issue

* Tue Dec 09 2014 luigiwalser <luigiwalser> 2.11-9.mga5
+ Revision: 802443
- add patches from fedora to fix CVE-2014-9112

* Wed Oct 15 2014 umeabot <umeabot> 2.11-8.mga5
+ Revision: 750910
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-7.mga5
+ Revision: 678565
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.11-6.mga4
+ Revision: 503565
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.11-5.mga3
+ Revision: 348240
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 sander85 <sander85> 2.11-4.mga3
+ Revision: 277490
- Move things from /(s)bin to /usr/(s)bin.
- Add patch from Fedora to fix build.

* Sun Jun 10 2012 blino <blino> 2.11-3.mga3
+ Revision: 259428
- rebuild to get info pages as xz instead of lzma

* Tue Jan 11 2011 blino <blino> 2.11-2.mga1
+ Revision: 5730
- imported package cpio


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2.11-2mdv2011.0
+ Revision: 603851
- rebuild

* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 2.11-1mdv2010.1
+ Revision: 518397
- 2.11

* Wed Jun 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.10-1mdv2010.0
+ Revision: 388893
- update to new version 2.10
- drop patches 4 and 6
- add buildrequires on bison
- kill rpath

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9-6mdv2009.1
+ Revision: 316516
- rediffed one fuzzy patch

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2.9-5mdv2009.0
+ Revision: 264358
- rebuild early 2009.0 package (before pixel changes)

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9-4mdv2009.0
+ Revision: 209708
- added a gcc43 patch from fedora

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 2.9-3mdv2008.1
+ Revision: 120544
- fix CVE-2007-4476

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 2.9-2mdv2008.0
+ Revision: 69900
- kill file require on info-install

* Wed Jul 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9-1mdv2008.0
+ Revision: 51382
- new version

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8-1mdv2008.0
+ Revision: 40641
- new version
- remove patches 10,11 and 12 (has been fixed upstream)
- add %%check
- spec file clean


* Tue Jan 23 2007 Stew Benedict <sbenedict@mandriva.com> 2.7-3mdv2007.0
+ Revision: 112577
- Fix issue with bad symlinks in archive (#28369)

* Wed Nov 15 2006 Stew Benedict <sbenedict@mandriva.com> 2.7-2mdv2007.1
+ Revision: 84328
- fix P11 (copypass perms fix)
- add patch for copypass bug #27143

* Fri Nov 10 2006 Stew Benedict <sbenedict@mandriva.com> 2.7-1mdv2007.0
+ Revision: 80499
- Import cpio

* Fri Nov 10 2006 Stew Benedict <sbenedict@mandriva.com> 2.7-1mdv2007.1
- 2.7
- drop P2 (mtime)
- rediff, bunzip P3 (svr4compat)
- drop P4 (no-libnsl)
- bunzip P10
- drop P11 (CAN-199-1572) - merged upstream
- drop P12 (gcc4 compile) - not needed
- drop P13 (CVE-2005-4268) - merged upstream
- import into svn

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 2.6-7mdk
- rebuild for sparc

* Thu Dec 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.6-6mdk
- Patch 13: security fix for CVE-2005-4268

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.6-5mdk
- Require rmt directly
- Fix compilation with gcc 4 (patch 12)

* Thu Apr 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.6-4mdk
- Add -DHAVE_LSTAT=1 to the C flags (bug #12970)

* Wed Mar 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.6-3mdk
- Add patch 11, security fix for CAN-1999-1572

* Thu Jan 06 2005 Stew Benedict <sbenedict@mandrake.org> 2.6-2mdk
- re-patch for LSB compliance 
-   subpatch of one provided by Mitsuru Chinen of OpenI18N (P10)
-   http://www.openi18n.org/subgroups/utildev/dli18npatch2.html

* Wed Dec 22 2004 Abel Cheung <deaddog@mandrake.org> 2.6-1mdk
- Drop P1 (errno), P10 (manpage location), P12 (i18n), fixed upstream
- Merge P11 into P3
- cpio is not using bundled error handling routine, so P9 is not useful now,
  but keep it in case somebody want to take a look
- Other spec cleanup
- P4 (fedora), no need to link with libnsl
- make check

